// pch.cpp: source file corresponding to pre-compiled header; necessary for compilation to succeed

#include "pch.h"

std::string TimevalToString(const struct timeval& tv)
{
	const size_t bufSize(64);
	char buf[bufSize];
	time_t nowtime;
	struct tm *nowtm;
	char tmbuf[64];

	//gettimeofday(&tv, NULL);
	nowtime = tv.tv_sec;
	nowtm = localtime(&nowtime);
	strftime(tmbuf, sizeof tmbuf, "%Y-%m-%d %H:%M:%S", nowtm);
	snprintf(buf, bufSize, "%s.%06ld\n", tmbuf, tv.tv_usec);
	return std::string(buf);
}
